com.google.gwt.text.client

## Class IntegerRenderer

- java.lang.Object
- - com.google.gwt.text.shared.AbstractRenderer<java.lang.Integer>
  - - com.google.gwt.text.client.IntegerRenderer

All Implemented Interfaces:
  Renderer<java.lang.Integer>

    public class IntegerRenderer
    extends AbstractRenderer<java.lang.Integer>

A localized renderer based on `NumberFormat.getDecimalFormat()`.

### Constructor Summary

Constructors
`protected` `IntegerRenderer()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Renderer<java.lang.Integer>` `instance()` Returns the instance.
`java.lang.String` `render(java.lang.Integer object)` Renders `object` as plain text.

### Methods inherited from class com.google.gwt.text.shared.AbstractRenderer

`render`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IntegerRenderer

    protected IntegerRenderer()

### Method Detail

#### instance

    public static Renderer<java.lang.Integer> instance()

Returns the instance.

#### render

    public java.lang.String render(java.lang.Integer object)

Description copied from interface: `Renderer`
Renders `object` as plain text. Should never throw any exceptions!